### Hierarchy

- HttpResponse

## Index

### Constructors

- constructor

### Properties

- returnBody
- returnHeaders
- returnMethod
- returnStatus
- urlToIntercept

### Accessors

- body
- headers
- method
- status

### Methods

- addHeaders

## Constructors

### constructor

- new HttpResponse(urlToIntercept?: any): HttpResponse

- Creates a HTTP Response that will be used to mock out network interceptions.

  #### Parameters

  - ##### Optional urlToIntercept: any

  #### Returns HttpResponse

## Properties

### returnBody

returnBody: string

### returnHeaders

returnHeaders: any[]

### returnMethod

returnMethod: string

### returnStatus

returnStatus: number

### urlToIntercept

urlToIntercept: any

## Accessors

### body

- get body(): string
- set body(arg: string): void

- Sets the value of the body of the HTTP Request that will be returned.

  #### Returns string

- Sets the value of the body of the HTTP Request that will be returned.

  #### Parameters

  - ##### arg: string

  #### Returns void

### headers

- get headers(): { name: string; value: any }[]

- #### Returns { name: string; value: any }[]

### method

- get method(): string
- set method(arg: string): void

- Returns the Method to be used in the intercept

  #### Returns string

- Sets the method of the HTTP Request

  #### Parameters

  - ##### arg: string

  #### Returns void

### status

- get status(): number
- set status(arg: number): void

- Set the STATUS value of the returned HTTP Request

  #### Returns number

- Set the STATUS value of the returned HTTP Request

  #### Parameters

  - ##### arg: number

  #### Returns void

## Methods

### addHeaders

- addHeaders(header: string, value: any): void

- Add headers that will be returned when we intercept a HTTP Request

  #### Parameters

  - ##### header: string

  - ##### value: any

  #### Returns void

Generated using TypeDoc